# Uses of Class
ch.qos.logback.core.boolex.EvaluationException

Packages that use EvaluationException
Package
Description
ch.qos.logback.access.net
ch.qos.logback.classic.boolex
ch.qos.logback.core.boolex
Contains the EventEvaluator interface and subclasses.

## Uses of EvaluationException in ch.qos.logback.access.net

Methods in ch.qos.logback.access.net that throw EvaluationException
Modifier and Type
Method
Description
`boolean`
URLEvaluator.`evaluate(Object eventObject)`

## Uses of EvaluationException in ch.qos.logback.classic.boolex

Methods in ch.qos.logback.classic.boolex that throw EvaluationException
Modifier and Type
Method
Description
`boolean`
OnErrorEvaluator.`evaluate(ILoggingEvent event)`
Return true if event passed as parameter has level ERROR or higher, returns false otherwise.
`boolean`
OnMarkerEvaluator.`evaluate(ILoggingEvent event)`
Return true if event passed as parameter contains one of the specified user-markers.

## Uses of EvaluationException in ch.qos.logback.core.boolex

Methods in ch.qos.logback.core.boolex that throw EvaluationException
Modifier and Type
Method
Description
`boolean`
EventEvaluator.`evaluate(E event)`
Evaluates whether the event passed as parameter matches some user-specified criteria.
`boolean`
JaninoEventEvaluatorBase.`evaluate(E event)`
`boolean`
Matcher.`matches(String input)`
Checks whether the input matches the regular expression.